/*
 * @(#)src/classes/sov/org/omg/CORBA/DynFixed.java, orb-api, as131, 20030613 1.4.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1998-2000 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */
 
/*
 * @(#)DynFixed.java	1.3 98/09/10
 *
 */


package org.omg.CORBA;

/** The DynFixed interface represents a DynAny object which is associated
 *  with an IDL fixed type.
 */

public interface DynFixed extends org.omg.CORBA.Object, org.omg.CORBA.DynAny
{
    /**
     * Return the value of the fixed type represented in the
     * <code>DynFixed</code.
     *
     * @return the value as a byte array.
     */
    public byte[] get_value();

    /**
     * Set the value of the fixed type instance into this
     * <code>DynFixed</code>.
     *
     * @param val the value as a byte array.
     */
    public void set_value(byte[] val)
        throws org.omg.CORBA.DynAnyPackage.InvalidValue;
}
